Description

Associated revisions
Revision 43776 - 03/04/2018 08:43 PM - Joaquín  del Cerro Murciano

refs #4831, corregida la factoria del proveedor de shapes (SHPStoreProviderFactory) para que anuncie que tiene un OID numerico, necesario para
que se puedan usar los indices espaciales.

Revision 1067 - 03/05/2018 10:28 AM - Joaquín  del Cerro Murciano

refs #4831, corregido que no falle la creacion del indice espacial cuando hayan geometrias a null

History
#1 - 03/04/2018 08:51 PM - Joaquín  del Cerro Murciano
- File DPAD_2017.zip added

Al parecer se estan dando dos problemas:
    -  El proveedor de shape no anuncia que tiene OIDs numericos, necesarios para que funcionen los indices espaciales.
    -  La capa tiene una geometria a null que no es tratada adecuadamente en el geoproceso.

Adjunto la capa de pruebas que me han pasado en la que se producia el error.

#2 - 03/05/2018 10:36 AM - Joaquín  del Cerro Murciano

Parece que instalando el paquete:

    -  gvSIG-desktop-2.4.0-org.gvsig.shp.app.mainplugin-2.0.220-2767

Se soluciona el primer problema.
Con esto ya deberia funcionar el geoproceso de dispersar si la capa no tiene geometrias a null.

#3 - 03/10/2018 03:18 PM - Joaquín  del Cerro Murciano
- Status changed from In progress to Fixed

El problema de procesar una capa con geomtrias nulas como la que se adjunta en el ticket queda solucionado instalando el plugin:

    -  org.gvsig.geoprocess.app.algorithm 2.2.92-2169

Aunque seria recomendable instalar tambien:

    -  org.gvsig.geoprocess.app.sextante 2.2.92-2169
    -  org.gvsig.geoprocess.app.mainplugin 2.2.92-2169

Ya que los tres plugins estan intimamente relaciondos y combiene mantener los tres en la misma version.

#4 - 04/16/2018 05:22 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.0-2930-final to 2.4.1-2852 (rev. org.gvsig.desktop-2.0.222)

#5 - 02/18/2019 04:52 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
DPAD_2017.zip 5.05 MB 03/04/2018 Joaquín  del Cerro Murciano
